# $Revision: 1.98 $, $Date: 2002/06/19 09:03:01 $
Summary:	System V initialization program
Summary(de):	System V-Intialisierungsprogramm
Summary(es):	Programa de inicializacin System V
Summary(fr):	Programme d'initialisation Sys V
Summary(pl):	Program inicjalizujcy w Systemie V
Summary(pt_BR):	Programa de inicializao System V
Summary(ru):	,    
Summary(tr):	System V balatma program
Summary(uk):	,     
Name:		SysVinit
Version:	2.84
Release:	4
License:	GPL
Group:		Base
Source0:	ftp://ftp.cistron.nl/pub/people/miquels/software/sysvinit-%{version}.tar.gz
Source1:	sysvinit.logrotate
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/sysvinit-non-english-man-pages.tar.bz2
Patch0:		sysvinit-paths.patch
Patch1:		sysvinit-bequiet.patch
Patch2:		sysvinit-md5-bigendian.patch
Patch3:		sysvinit-wtmp.patch
Patch4:		sysvinit-man.patch
Patch5:		sysvinit-halt.patch
Patch6:		sysvinit-blowfish.patch
BuildRequires:	glibc-devel
PreReq:		shadow
Requires:	/bin/awk
Requires:	login
Requires:	logrotate
Requires:	mingetty
Requires(post):	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The SysVinit package contains a group of processes that control the
very basic functions of your system. SysVinit includes the init
program, the first program started by the Linux kernel when the system
boots. Init then controls the startup, running and shutdown of all
other programs.

%description -l de
SysVinit ist das erste Programm, das beim Systemstart vom Linux-Kernel
gestartet wird. Es steuert das Starten, Ausfhren und Beenden aller
anderen Programme.

%description -l es
SysVinit es el primer programa ejecutado por el kernel Linux cuando se
inicia el sistema. Controla arranque, funcionamiento y cierre de todos
los otros programas.

%description -l fr
SysVinit est le premier programme excut par le noyau de Linux
lorsque le systme dmarre, il contrle le lancement, l'excution et
l'arrt de tous les autres programmes.

%description -l pl
SysVinit jest pierwszym programem uruchamianym przez jdro podczas
startu systemu. Kontroluje start, prac oraz zamykanie wszystkich
innych programw.

%description -l pt_BR
SysVinit  o primeiro programa executado pelo kernel Linux quando o
sistema  inicializado. Controla inicializao, funcionamento e
finalizao de todos os outros programas.

%description -l ru
 SysVinit   ,   
   . SysVinit   init,
  ,    Linux  
.   init  ,   
  .

%description -l tr
SysVinit, sistem alrken Linux ekirdei tarafndan altrlan ilk
programdr. Dier programlarn balamalarn, almalarn ve
sonlanmalarn salar/denetler.

%description -l uk
 SysVinit ͦ  Ӧ, Ҧ   
æ ϧ . SysVinit ͦ  init, 
,    Linux Ц   . 
 init դ ,    Ӧ  .

%prep
%setup -q -n sysvinit-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__make} -C src LCRYPT="-lcrypt" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/logrotate.d,/var/log}

%{__make} install -C src \
	ROOT=$RPM_BUILD_ROOT \
	BIN_OWNER=`id -u` \
	BIN_GROUP=`id -g`

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/sysvinit

ln -sf ../var/run/initrunlvl $RPM_BUILD_ROOT%{_sysconfdir}
ln -sf killall5 $RPM_BUILD_ROOT%{_sbindir}/pidof

> $RPM_BUILD_ROOT%{_sysconfdir}/ioctl.save
> $RPM_BUILD_ROOT/var/log/faillog
> $RPM_BUILD_ROOT/var/log/lastlog
> $RPM_BUILD_ROOT/var/log/wtmpx
> $RPM_BUILD_ROOT/var/log/btmpx

echo .so last.1 > $RPM_BUILD_ROOT%{_mandir}/man1/lastb.1
echo .so halt.8 > $RPM_BUILD_ROOT%{_mandir}/man8/poweroff.8
echo .so halt.8 > $RPM_BUILD_ROOT%{_mandir}/man8/reboot.8
echo .so init.8 > $RPM_BUILD_ROOT%{_mandir}/man8/telinit.8
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
groupadd -f -r -g 22 utmp

%post
touch %{_sysconfdir}/ioctl.save /var/log/{fail,last}log
chmod 000 %{_sysconfdir}/ioctl.save /var/log/{fail,last}log
chown root.root %{_sysconfdir}/ioctl.save /var/log/faillog
chown root.utmp /var/log/lastlog
chmod 600 %{_sysconfdir}/ioctl.save
chmod 640 /var/log/faillog
chmod 660 /var/log/lastlog

%{_sbindir}/telinit u || :

%postun
if [ "$1" = "0" ]; then
	groupdel utmp
fi

%files
%defattr(644,root,root,755)
%doc doc/{Propaganda,Changelog,*.lsm}

%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/last
%attr(755,root,root) %{_bindir}/lastb
%attr(755,root,root) %{_bindir}/mesg
%attr(755,root,root) %{_bindir}/utmpx-dump
%attr(2755,root,tty) %{_bindir}/wall

%attr(640,root,root) /etc/logrotate.d/sysvinit
%ghost %{_sysconfdir}/initrunlvl
%attr(600,root,root) %ghost %{_sysconfdir}/ioctl.save
%attr(640,root,root) %ghost /var/log/faillog
%attr(660,root,utmp) %ghost /var/log/lastlog
%attr(664,root,utmp) %ghost /var/log/wtmpx
%attr(640,root,root) %ghost /var/log/btmpx

%{_mandir}/man[158]/*
%lang(de) %{_mandir}/de/man[158]/*
%lang(es) %{_mandir}/es/man[158]/*
%lang(fi) %{_mandir}/fi/man[158]/*
%lang(fr) %{_mandir}/fr/man[158]/*
%lang(hu) %{_mandir}/hu/man[158]/*
%lang(id) %{_mandir}/id/man[158]/*
%lang(it) %{_mandir}/it/man[158]/*
%lang(ja) %{_mandir}/ja/man[158]/*
%lang(ko) %{_mandir}/ko/man[158]/*
%lang(pl) %{_mandir}/pl/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SysVinit.spec,v $
Revision 1.98  2002/06/19 09:03:01  kloczek
- merge translations from KSI and Conectiva.

Revision 1.97  2002/06/19 07:22:31  gotar
- u+w %{_bindir}/wall,
- new %doc,
- release 4.

Revision 1.96  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.95  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.94  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.93  2002/01/13 14:02:37  kloczek
- release 3.

Revision 1.92  2002/01/03 23:01:55  gotar
- PreReq -> Requires: /bin/awk.

Revision 1.91  2001/12/18 20:04:53  gotar
- release 2.

Revision 1.90  2001/12/13 22:29:22  gotar
- well, in fact not everything...

Revision 1.89  2001/12/13 07:53:23  gotar
- ooops, everything what shall be done would be after logrotate, reverted.

Revision 1.88  2001/12/13 07:48:12  gotar
- touch, chown and chmod on %ghost files in %post,
- Requires(post): fileutils.

Revision 1.87  2001/12/01 17:14:27  kloczek
- updated to 2.84.

Revision 1.86  2001/11/30 20:35:34  gotar
- fixed broken logs.

Revision 1.85  2001/11/30 20:23:10  gotar
- added /var/log/faillog log,
- release 6.

Revision 1.84  2001/11/12 07:10:43  ankry
- removed bogus da man pages
- release 5

Revision 1.83  2001/11/11 15:33:50  ankry
- added da,de,es,fi,fr,hu,id,it,ja,ko.pl man pages
- release 4

Revision 1.82  2001/10/30 17:24:00  gotar
- changed /var/log/wtmpx perms to 664,
- adapterized sysvinit.logrotate,
- release 3.

Revision 1.81  2001/10/30 08:00:34  gotar
- fixed build process (/etc/sysconfig -> %{_sysconfdir} in install -d...).

Revision 1.80  2001/10/30 07:41:54  gotar
- adapterized sysvinit.logrotate,
- release 2.

Revision 1.79  2001/10/06 08:41:35  kloczek
- updated to 2.83.

Revision 1.78  2001/09/20 16:19:06  saq
- don't require make (what for?)

Revision 1.77  2001/08/28 10:53:06  kloczek
- updated to 2.82.

Revision 1.76  2001/08/13 13:24:41  kloczek
- release 2.

Revision 1.75  2001/08/12 19:22:24  qboosh
- added /etc/ioctl.save file (as %%ghost)

Revision 1.74  2001/08/11 11:07:35  kloczek
- updated to 2.81 and removed outdated patches.

Revision 1.73  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.71  2001/06/16 12:53:16  kloczek
- merge umask rawhide patch.

Revision 1.70  2001/06/13 12:22:50  malekith
- added cread patch (can anybody check if it works?)
- rel 24

Revision 1.69  2001/04/30 16:05:13  kloczek
- added using %%{rpmcflags} macro.

Revision 1.68  2001/03/11 15:41:15  kloczek
- relase 23,
- run "/sbin/telinit u || :" in %post,
- merged OpenWall owl-bound-format patch.

Revision 1.67  2001/02/16 05:02:59  kloczek
- release 22,
- merge wall-n, notty patches from rawhide.

Revision 1.66  2001/02/10 08:34:53  kloczek
- release 21.

Revision 1.65  2001/01/25 20:03:20  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.64  2000/12/28 14:52:46  baggins
- it does not need static glibc just the correct CFLAGS ;)

Revision 1.63  2000/12/04 18:25:49  kloczek
- release 20.

Revision 1.62  2000/12/04 12:51:55  qboosh
- fix manual: telinit(8) is in init(8), not halt(8)

Revision 1.61  2000/10/10 21:10:56  kloczek
- release 19: use new rpm automation suit.

Revision 1.60  2000/09/02 01:47:21  baggins
- release 18
- fixed wtmpx for good

Revision 1.59  2000/09/01 13:42:32  baggins
- release 17
- DONT ROTATE lastlog, IT DOES NOT GROW

Revision 1.58  2000/08/29 14:01:10  baggins
- release 16
- better wtmpx patch

Revision 1.57  2000/07/15 05:04:02  kloczek
- release 15,
- added login to Requires list.

Revision 1.56  2000/07/13 11:54:38  mkochano
- Fixed 'postun' section.

Revision 1.55  2000/07/11 13:27:43  baggins
- release 13
- added patch to sulogin to recognize blowfish passwords

Revision 1.54  2000/07/04 02:41:17  kloczek
- merge rawhide patches.

Revision 1.53  2000/07/03 21:21:19  zagrodzki
- /bin/awk

Revision 1.52  2000/07/03 21:21:04  zagrodzki
- prereq: awk

Revision 1.51  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.50  2000/05/26 06:29:25  mkochano
- Changed (60 -> 22) gid of group utmp created in %post to match value from
  PLD-doc/uid_gid.db.txt.

Revision 1.49  2000/05/24 14:16:12  zagrodzki
- removed update-db from %pre/%post
- release++

Revision 1.48  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.47  2000/05/09 20:00:54  baggins
- chgrp utmp /var/log/lastlog

Revision 1.46  2000/04/26 22:03:13  zagrodzki
- prereq: glibc-static

Revision 1.45  2000/04/26 14:27:59  zagrodzki
- removed all %post

Revision 1.44  2000/04/25 19:18:08  zagrodzki
- Prereq: make, fileutils

Revision 1.43  2000/04/17 11:37:11  kloczek
- release 7.

Revision 1.42  2000/04/17 10:51:45  mis
- removed obscure %{_sbindir} redefinition
- removed dependency on fileutils

Revision 1.41  2000/04/15 18:42:01  kloczek
- added man patch.

Revision 1.40  2000/04/15 18:28:47  kloczek
- release 6.

Revision 1.39  2000/04/15 15:27:21  mis
- moved creation of utmp group to SysVinit (to avoid requirements loop)

Revision 1.38  2000/04/04 12:48:14  kloczek
- release 6.

Revision 1.37  2000/04/04 10:08:37  zagrodzki
- Requires: mingetty

Revision 1.36  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.34  2000/03/10 10:34:19  kloczek
- release 5.

Revision 1.33  2000/03/10 10:33:16  kloczek
- release 4,
- spec adapterized.

Revision 1.32  2000/03/02 17:23:15  misiek
- updated to 2.78

Revision 1.31  2000/02/29 14:54:48  raven
- release 7,
- added wtmpx support for login.

Revision 1.30  1999/12/18 04:03:56  kloczek
- release 6,
- fix: move /var/log/wtmp to /var/log/wtmp.rpmsave only if /var/log/wtmp
  exist.

Revision 1.29  1999/12/15 21:07:54  kloczek
- release 5,
- added "mv -f /var/log/wtmp /var/log/wtmp.rpmorig" in %post.

Revision 1.28  1999/11/09 00:01:20  kloczek
- release 4,
- changed group to utmp on wtmpx file to allow logging sgid utmp programs
  like *terms to wtpmx,
- added chgrp utmp for wtmpx in %post.

Revision 1.27  1999/10/09 18:57:28  kloczek
- release 3,
- removed unused securelevel-security (integrated in current version),
- added md5-bigendian patch with fix big endian not proof code in init.

Revision 1.26  1999/09/01 18:56:19  kloczek
- updated to 2.77,
- added two patches from rawhide (sigpwr and securelevel-security),
- 640 on btmpx and 644 on lastlog and wtmpx,
- canges in %description's.

Revision 1.25  1999/08/02 14:49:39  misiek
initscript moved to rc-scripts

Revision 1.24  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 22 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.76-10]
- (u,w)tmp changed to (w,u)tmpx -- Unix98 compliant (patch),
- utpmdump changed to utmpx-dump, (patch)
- changed prefix for initscript to /etc/rc.d instead /etc (patch)
- added /etc/logrotate.d/sysvinit (for logrotate) & /var/log/lastlog,
- removed sgid bit from `wall' -- following Debian developers advise ;)
- %ghost /etc/initrunlvl,
- added /var/log/{btmpx,wtmpx} -- removed from sysklogd package,
- fixed all patches.

* Tue May 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.74-9]
- now package is FHS 2.0 compliant.

* Tue Apr 27 1999 Wojciech "Sas" Cieciwa <cieciwa@alpha.zarz.agh.edu.pl>
- removed /dev/initctl, now this is part of dev package.

* Tue Apr 20 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.74-8]
- compiled on rpm 3

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [2.74-6d]
- gzipping instead bzipping
- cosmetic changes

* Fri Jun 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.74-5d]
- build against glibc-2.1,
- added pl translation,
- changed prmissions of binaries to 711,
- removed a suid bit from wall,
- moved %changelog at the end of spec.
- added a Chris Evans's <chris@ferret.lmh.ox.ac.uk> patches,
- start at RH spec file.
